--COMBAT_LOG_EVENT_UNFILTERED
function(...)
	local subevent = select(3, ...)
	if subevent == "SPELL_CAST_SUCCESS" then
		local caster = select(6, ...)
		local spell = select(14, ...)
		if caster == UnitName("player") and spell == "Hammer of the Righteous" then
			aura_env.hammers = aura_env.hammers + 1
		end
	end
end

--SPELL_ACTIVATION_OVERLAY_GLOW_SHOW
function(_,ID)
	if ID == 31935 then
		aura_env.shields = aura_env.shields + 1
	end
end

--DISPLAY
function()
	return aura_env.shields / aura_env.hammers
end

--INIT
aura_env.hammers = 0
aura_env.shields = 0